function dx = doublependulum(t, x)

% state vector x = [alp, bet, Dalp, Dbet]’;
alp = x(1);
bet = x(2);
Dalp = x(3); 
Dbet = x(4);

% mass and geometry parameters
m = 1.0; l = 1.0; g = 9.81;

% mass matrix M
M = zeros(2, 2);
M(1, 1) = l^2*m*(3+2*cos(bet));    
M(1, 2) = l^2*m*(cos(bet)+1);
M(2, 1) = l^2*m*(cos(bet)+1); 
M(2, 2) = l^2*m;

k = zeros(2, 1);
k(1, 1) = -l^2*m*Dbet*sin(bet)*(Dbet+2*Dalp);
k(2, 1) = l^2*m*Dalp^2*sin(bet);

q = zeros(2, 1);
q(1, 1) = -m*g*l*(2*cos(alp)+cos(alp+bet));
q(2, 1) = -cos(alp+bet)*l*m*g;

dx = [[Dalp; Dbet]; M\(q-k)];